=== debian/changelog ===
debiandoc-sgml (1.0.5) unstable; urgency=low (HIGH for building dpkg)

  * debiandoc2ps -O (output to stdout) works.
  * Lout converter uses `paperconf' (thanks to Yves Arrouye).

  * Manpages installed compressed.
  * dpkg-gencontrol invocation moved to near end of debian/rules.
  * Some typos in markup manual corrected.
  * Spurious `t' file removed from source package.
  * Updated to Standards-Version 2.1.0.0.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Sun, 1 Sep 1996 23:59:20 +0100

debiandoc-sgml (1.0.4) unstable; urgency=low

  * converter scripts remove temporary files and can write to stdout.
  * PostScript converter can produce 1-up as well as 2-up output.
  * PostScript converter has some support for paper size determination.

  * Split binary target into binary-indep and binary-arch.
  * Updated Standards-Version.
  * Released into `unstable'.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Fri, 23 Aug 1996 12:04:28 +0100

debiandoc-sgml (1.0.3) experimental; urgency=low

  * Converters work again.  Oops.
  * Lout (and hence PostScript) more space at end of compact list.
  * Minor markup manual improvements.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Mon, 12 Aug 1996 02:30:24 +0100

debiandoc-sgml (1.0.2) experimental; urgency=medium

  * PostScript converter really works now, honest.
  * Markup authors' manual provided (in /usr/doc, HTML format).
  * Manpages for converters included.

  * Source package archival corrected.
  * PostScript converter displays error messages from Lout.
  * saspconvert prints correct name in error messages.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Sun, 11 Aug 1996 17:42:46 +0100

debiandoc-sgml (1.0.1) experimental; urgency=low

  * Fixed misplaced bracket in Lout formatter.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Sun, 11 Aug 1996 13:26:27 +0100

debiandoc-sgml (1.0) experimental; urgency=LOW

  * Initial release.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Sat, 10 Aug 1996 22:01:38 +0100

Local variables:
mode: debian-changelog
End:
