=== debian/control ===
Source: debiandoc-sgml
Section: text
Priority: optional
Maintainer: Ian Jackson <ian@chiark.chu.cam.ac.uk>
Standards-Version: 2.1.0.0

Package: debiandoc-sgml
Architecture: all
Depends: sp, sgmlspm, linuxdoc-sgml
Optional: psutils
Description: Documentation formatting for Debian manuals
 This is the SGML-based documentation formatting package used for the
 Debian manuals in the dpkg package.  It reads markup files and
 produces HTML, PostScript (via Lout) and plain text (with overstrikes
 a la troff or not).
 .
 You need this package to build the dpkg binary package.  This package
 itself relies on James Clark's nsgmls SGML parser, which is in the sp
 package.  It is based the sgmlspm Perl modules, and requires a
 character mapping file from linuxdoc-sgml.  The PostScript output
 converter requires psutils in order to do its 2-up convertion.
