## debiandoc-sgml 1.0.7

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 STDCONVMAN= debiandoc2ps
 HELPERS= saspconvert
 SPECS= text html lout
-SGMLS= catalog debiandoc.dtd
+SGMLS= catalog debiandoc.dtd general
 
 PATH:=:$(PATH)
 RM=/bin/rm
