=== debian/changelog ===
debiandoc-sgml (1.0.7) frozen unstable; urgency=medium

  * New maintainer.

 -- Christian Schwarz <schwarz@debian.org>  Thu, 17 Apr 1997 15:58:01 +0200

debiandoc-sgml (1.0.6-1.2) frozen unstable; urgency=medium

  * Upgraded to package standard 2.1.3.0.
  * Package is now independend from sgml-tools.
  * Fixed debiandoc2ps to work with new bash 2.0.
  * Now suggests lout.
  * Uploaded to frozen and unstable.

 -- Christian Schwarz <schwarz@debian.org>  Thu, 3 Apr 1997 20:36:45 +0200

debiandoc-sgml (1.0.6-1.1) frozen unstable; urgency=medium

  * Non-maintainer release.
  * Fix to make package work with sgml-tools.
  * Depend on sgml-tools.
  * Uploaded to frozen and unstable.

 -- Christian Schwarz <schwarz@debian.org>  Mon, 31 Mar 1997 18:34:14 +0200

debiandoc-sgml (1.0.6) unstable; urgency=medium

  * bash 2.0 compatible syntax in usage error message.  (Bug#7064.)
  * `paper' program and env. var in libpaper now called `paperconf';
  * Dependency on libpaper added.
  * Maintainer email address corrected/updated.

 -- Ian Jackson <ian@chiark.greenend.org.uk>  Tue, 4 Feb 1997 22:54:38 +0000
