=== debian/control ===
Source: debiandoc-sgml
Section: text
Priority: optional
Maintainer: Christian Schwarz <schwarz@debian.org>
Standards-Version: 2.1.3.0

Package: debiandoc-sgml
Architecture: all
Depends: sp, sgmlspm
Suggests: psutils, libpaper (>= 1.0.1-2), lout
Description: Documentation formatting for Debian manuals
 This is the SGML-based documentation formatting package used for the
 Debian manuals in the dpkg package.  It reads markup files and
 produces HTML, PostScript (via Lout) and plain text (with overstrikes
 a la troff or not).
 .
 You need this package to build the dpkg binary package.  This package
 itself relies on James Clark's nsgmls SGML parser, which is in the sp
 package, and on the sgmlspm Perl modules.  The PostScript output
 requires psutils and libpaper in order when doing its 2-up printing.
