=== debian/changelog ===
debiandoc-sgml (1.0.18) frozen unstable; urgency=high

  * spec-html,spec-lout: fixed a stupid perl typo (fixes bug #22316)

 -- Ardo van Rangelrooij <ardo.van.rangelrooij@tip.nl>  Mon, 11 May 1998 22:47:24 +0200

debiandoc-sgml (1.0.17) frozen unstable; urgency=low

  * 
  * spec-text: fixed copyright section at wrong place bug (fixes bug #14749)
  * spec-lout: fixed consecutive footnotes bug (fixes bug #4478)
  * spec-{html,lout,text}: complete overhaul and clean-up

 -- Ardo van Rangelrooij <ardo.van.rangelrooij@tip.nl>  Wed, 22 Apr 1998 23:31:03 +0200

debiandoc-sgml (1.0.16) frozen unstable; urgency=low

  * README: updated to reflect current usage and copyright
  * debian/control: updated to reflect current usage
  * debian/copyright: updated to reflect current usage and copyright
  * debian/rules: changed to use debhelper
  * debian/rules: removed handling of sgml.catalog
  * Makefile: added handling of sgml.catalog
  * debian/control: updated to debian standard 2.4.0.0
  * debiandoc2* scripts: fixed insecure temp file creation (fixes bug #19717)

 -- Ardo van Rangelrooij <ardo.van.rangelrooij@tip.nl>  Sat,  4 Apr 1998 22:08:39 +0200

debiandoc-sgml (1.0.15) frozen unstable; urgency=medium

  * Changed suggested libpaper into libpaperg (fixes bug #20014). 
  * Removed explicit use of /usr/lib/sgml and /etc/sgml.catalog from the 
    debiandoc2* scripts, since nsgmls already "knows" about them (fixes 
    second part of bug #19718). 
  * Added uninstall target to Makefile to help keeping /usr/local/ clean. 
  * Fixed dependency bug in Makefile causing debian/tmp paths in scripts
    (fixes bug #19863 and first part of bug #19718). 

 -- Ardo van Rangelrooij <ardo.van.rangelrooij@tip.nl>  Tue, 17 Mar 1998 13:28:12 +0100

debiandoc-sgml (1.0.14) unstable; urgency=low

  * Added support for i18n (bug #16173).
  * Added <strong> tag (bug #14925).

 -- Ardo van Rangelrooij <ardo.van.rangelrooij@tip.nl>  Thu, 26 Feb 1998 21:43:25 +0100

debiandoc-sgml (1.0.13) unstable; urgency=low

  * Fixed debiandoc2ps bug: excluding tilde character in output (bug #17623). 

 -- Ardo van Rangelrooij <ardo.van.rangelrooij@tip.nl>  Tue, 17 Feb 1998 21:19:35 +0100

debiandoc-sgml (1.0.12) unstable; urgency=low

  * New maintainer. 

 -- Ardo van Rangelrooij <ardo.van.rangelrooij@tip.nl>  Wed, 14 Jan 1998 20:11:13 +0100

debiandoc-sgml (1.0.11) unstable; urgency=low

  * Fixed bugs in HTML output (bug #12258)
    Thanks to Ian for the patch!
  * Upgraded to standards version 2.3.0.0

 -- Christian Schwarz <schwarz@debian.org>  Fri, 17 Oct 1997 16:23:32 +0200

debiandoc-sgml (1.0.10) unstable; urgency=low

  * Fixed debiandoc2ps' usage message (bug #11424).
  * Fixed debiandoc2lout problem: lout produced an error message if
    $title or $version contained newlines (bug #11427).
  * Thanks to Ian for the patches!

 -- Christian Schwarz <schwarz@debian.org>  Sat,  2 Aug 1997 19:18:53 +0200

debiandoc-sgml (1.0.9) unstable; urgency=low

  * Fixed bug that occured with perl5.004: debiandoc2text added
    mysterious digits at end of lines.
  * Upgraded to standards version 2.2.0.0.

 -- Christian Schwarz <schwarz@debian.org>  Sat, 19 Jul 1997 18:30:03 +0200

debiandoc-sgml (1.0.8) unstable; urgency=low

  * Moved dtd into /usr/lib/sgml/dtd (fixed bug #8485).
  * Moved "general" entities into /usr/lib/sgml/entities.
  * Added dependency on sgml-base.
  * Uses install-sgmlcatalog to install SGML catalog file.

 -- Christian Schwarz <schwarz@debian.org>  Tue, 6 May 1997 17:11:36 +0200
