=== debian/control ===
Source: debiandoc-sgml
Section: text
Priority: optional
Maintainer: Ardo van Rangelrooij <ardo.van.rangelrooij@tip.nl>
Standards-Version: 2.4.0.0

Package: debiandoc-sgml
Architecture: all
Depends: sgml-base, sp, sgmlspm
Suggests: lout, psutils, libpaperg
Description: Documentation formatting for Debian manuals
 This is the SGML-based documentation formatting package used for the
 Debian manuals.  It reads markup files and produces HTML, PostScript 
 (via Lout) and plain text (with overstrikes a la troff or not).
 .
 This package relies on James Clark's nsgmls SGML parser, which is in 
 the sp package, and on the sgmlspm Perl modules.  The PostScript output
 requires the psutils and libpaperg packages for its 2-up printing.
