=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package compile and build script
## ----------------------------------------------------------------------
## Copyright 1994,1995 by Ian Jackson.
## I hereby give you perpetual unlimited permission to copy,
## modify and relicense this file, provided that you do not remove
## my name from the file itself.  (I assert my moral right of
## paternity under the Copyright, Designs and Patents Act 1988.)
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## targets
build:
	dh_testdir
	$(MAKE) prefix=/usr

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean

binary-indep:	build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	$(MAKE) prefix=`pwd`/debian/tmp/usr install
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary:		binary-indep binary-arch

.PHONY:		build clean binary-indep binary-arch binary

## ----------------------------------------------------------------------
