=== debian/changelog ===
debiandoc-sgml (1.1.12) frozen; urgency=low

  * Upload to frozen without any code changes to fix a missing "Suggests"
    on libwww-perl needed for creating the HTML output (fixing bug #32467
    as well as partly bug #32311)

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri, 29 Jan 1999 21:31:57 +0100

debiandoc-sgml (1.1.11) frozen; urgency=high

  * Upload to frozen without code changes per request of Adam Di Carlo as
    this version is needed to build the boot-floppies package for slink
    (fixing bug #31962).  Adam has tested version 1.1.10 extensively and
    this upload should not harm the pending release of slink in any way.

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 16 Jan 1999 13:41:17 +0100

debiandoc-sgml (1.1.10) unstable; urgency=low

  * spec/*: reimplementation of handling <url> and related tags using the
    URI::URL module, including handling fragments correctly (fixing bug
    #29339) (now really fixing the stupid bug in handling <url> which
    version 1.1.9 was supposed to do)
  * spec/*: moved one more common functionality to the common module

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 14 Dec 1998 17:40:01 +0100

debiandoc-sgml (1.1.9) unstable; urgency=low

  * spec/Debiandoc_SGML.pm: Fixed rather stupid bug in handling <url>
    causing only the first and the last part of the url to be written
    to the generated output (thanks Ivan !!!)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 13 Dec 1998 21:41:44 +0100

debiandoc-sgml (1.1.8) unstable; urgency=low

  * spec/lout: fixed new line in copyright summary (fixing bug #14746)
  * spec/html: added DOCTYPE specification to generated HTML files (fixing
    bug #29335) (set DOCTYPE to final 3.2 version of the HTML DTD; this
    now also makes the generated HTML completely weblint free :-)
  * Changed "-*- Mode: <mode> -*-" into -*- <mode -*-" (fixing bug #29840)
    (thanks Ian!!!)
  * spec/*: moved still more common functionality to the common module
    (now only the tough parts are left to do)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 12 Dec 1998 19:26:05 +0100

debiandoc-sgml (1.1.7) unstable; urgency=low

  * Added <appendix> tag
  * spec/*: moved even more common code to the common module
  * spec/*,i18n/*: cleaned-up i18n data
  * spec/texinfo: fixed incomplete <qref> handling
  * spec/html: code clean-up
  * spec/html: improved look&feel of generated HTML code and layout
  * spec/html: removed font change in handling <var>
    (fixing bug #29336 and becoming weblint free)
  * spec/text*: improved layout of document end
  * spec/*: made title of "Copyright Notice" and such consistent
  * dtd/debiandoc.dtd: allow multiple <copyrightsummary>s
  * spec/*: handle multiple <copyrightsummary>s
  * spec/html: improved handling <list> to be weblint free
    (except for the COMPACT attribute)

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 17 Nov 1998 19:22:19 +0100

debiandoc-sgml (1.1.6) frozen unstable; urgency=high

  * spec/DebianDoc_SGML.pm: fixed stupid typo in handling <manref>
    (fixes bug #29198) (thanks Adam!!!)

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon,  9 Nov 1998 21:24:58 +0100

debiandoc-sgml (1.1.5) unstable; urgency=low

  * spec/*: moved some common tag processing logic to a common module
  * spec/*: fixed bug in handling <ref>s in <footnote>s
  * spec/*: consistent removal of leading and trailing whitespaces

 -- Ardo van Rangelrooij <ardo@debian.org>  Thu, 15 Oct 1998 20:55:53 +0200

debiandoc-sgml (1.1.4) unstable; urgency=high

  * spec/*: fixed <url> handling (fixes bug #27141)
  * spec/text: replaced `*' by `_' to indicate emphasis
  * Added <package> tag (wishlist #26787 and #26965)
  * spec/{text|textov}: various layout improvements

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 28 Sep 1998 16:51:04 +0200

debiandoc-sgml (1.1.3) unstable; urgency=low

  * i18n/*.latex2e: unnecessary, hence removed
  * Makefile: only install i18n files if they exist
  * Added Texinfo output generation
  * Added Info via Texinfo output generation
  * spec/latex2e: improved <url> handling

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 29 Aug 1998 14:38:34 +0200

debiandoc-sgml (1.1.2) unstable; urgency=low

  * Added <file> tag
  * Added LaTeX2e output generation
  * Added DVI via LaTeX2e output generation
  * Added PostScript via DVI output generation
  * debiandoc2ps.1: various minor updates and fixes
  * debian/{postint,prerm}: Fixed broken action handling (fixes bugs
    #24918 and #25147) (thanks Adam!)
  * debiandoc2{dvi,dvips,ps}: Added check for existance of external
    programs before calling them (fixes bug #25116) (thanks Adam!)

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 10 Aug 1998 21:21:05 +0200

debiandoc-sgml (1.1.1) unstable; urgency=low

  * debiandoc2ps.1: changed paper(1) into papersize(5) (#24591)
  * Added PUBLIC SGML identifier (#24106)
  * Added doc-base support
  * debian/{postinst,prerm}: enhanced
  * debian/postrm: renamed to debian/prerm

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 13 Jul 1998 19:19:03 +0200

debiandoc-sgml (1.1.0) unstable; urgency=low

  * Added <url> tag
  * Added <httpsite> and <httppath> tags
  * debiandoc-sgml.sgml: documented that SUBDOC is not supported (#24026)
  * dtd/debiandoc.dtd: added "id" attribute to <book> tag
  * debiandoc-sgml.sgml: normalized
  * saspconvert: completely overhauled
  * debiandoc2ps: fixed typo in error message
  * debiandoc2ps.1: fixed various typos
  * debiandoc2ps.1: moved copyright statement to separate section
  * debiandoc2ps.1: added mention of language support via LANG
  * Makefile: various minor changes
  * spec/textov: splitted off from spec/text
  * spec-{html,lout,text}: moved to spec directory as {html,lout,text}
  * markup.sgml: renamed to debiandoc-sgml.sgml
  * Added TODO list
  * Maintainer's email address changed

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 22 Jun 1998 17:27:23 +0200
