=== debian/control ===
Source: debiandoc-sgml
Section: text
Priority: optional
Maintainer: Ardo van Rangelrooij <ardo@debian.org>
Standards-Version: 2.4.0.0

Package: debiandoc-sgml
Architecture: all
Depends: sgml-base, sp, sgmlspm
Suggests: libwww-perl, libpaperg, tetex-bin, tetex-extra, lout, psutils
Description: Documentation formatting for Debian manuals
 This is the SGML-based documentation formatting package used for the
 Debian manuals.  It reads markup files and produces DVI (via
 LaTeX2e), HTML, Info (via Texinfo), LaTeX2e, Lout, PostScript (via
 DVI and Lout), Texinfo, and plain text (with overstrikes a la troff
 as well as without) files.
 .
 This package relies on James Clark's nsgmls SGML parser, which is in 
 the sp package, and on the sgmlspm Perl modules.
 .
 The HTML output needs the libwww-perl package.  The LaTeX2e and Lout
 based output require the libpaperg package.  Further, the LaTeX2e and
 Texinfo based output requires the tetex-bin and tetex-extra packages,
 while the Lout based output requires the lout package as well as the
 psutils package for its 2-up printing.
