=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package compile and build script for debiandoc-sgml
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## targets

build:
		dh_testdir
		$(MAKE) prefix=/usr

clean:
		dh_testdir
		dh_testroot
		$(MAKE) clean
		dh_clean

binary-indep:	build
		dh_testdir
		dh_testroot
		dh_clean
		dh_installdirs
		$(MAKE) prefix=`pwd`/debian/tmp/usr install
		dh_installdocs TODO
		dh_installchangelogs
		dh_compress
		dh_fixperms
		dh_installdeb
		dh_gencontrol
		dh_md5sums
		dh_builddeb

binary-arch:

binary:		binary-indep binary-arch

.PHONY:		build clean binary-indep binary-arch binary

## ----------------------------------------------------------------------
